=== man/Makefile ===
include ../config.mak

clean:
	rm -f *~
install:
	install -d $(man1dir)
	install -m 444  gcin-gb-toggle.1 \
			gcin-kbm-toggle.1 \
			gcin-message.1 \
			gcin-setup.1 \
			gcin.1 \
			gcin2tab.1 \
			gtab-merge.1 \
			juyin-learn.1 \
			phoa2d.1 \
			sim2trad.1 \
			tsa2d32.1 \
			tslearn.1 \
			$(man1dir)
