=== debian/changelog ===
gcin (1.4.6-3) unstable; urgency=low

  * Fix FTBFS with gtk2 2.20 due to deprecated Gtk+ macros. (Closes: #577377)
  * Bump libgtk2.0-dev build-deps to 2.20.0.
  * Disable --new_gtk_im. Too unstable with mozilla browser.
  * Add back README.html.
  * Update im-switch script also checks qt4 path.
  * Update Maintainer, Vcs-Git and Vcs-Browser. Migrating to DD account.

 -- Kan-Ru Chen <koster@debian.org>  Wed, 05 May 2010 00:20:58 +0800

gcin (1.4.6-2) unstable; urgency=low

  * Fix FTBFS with gtk2 2.19 due to deprecated Gtk+ macros
    GTK_WIDGET_APP_PAINTABLE and GTK_WIDGET_NO_WINDOW. (Closes: #569246)
    (LP: #520148)
  * Updated Standards-Version to 3.8.4, no changes needed.

 -- Kan-Ru Chen <koster@debian.org.tw>  Sat, 27 Feb 2010 17:24:34 +0800

gcin (1.4.6-1) unstable; urgency=low

  * New upstream release
    This version fixed FTBFS with binutils-gold. (Closes: #554417)
  * Switched to dpkg-source 3.0 (quilt) format
  * Use modern debhelper style
  * Updated Standards-Version to 3.8.3
  * Updated copyright information
  * Acknowledge NMU - Thanks Stefano

 -- Kan-Ru Chen <koster@debian.org.tw>  Sun, 10 Jan 2010 16:49:29 +0800

gcin (1.4.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing #include to fix FTBFS with gcc 4.4, patch by Martin
    Michlmayr. (Closes: #531715)
  * gcin-qt{3,4}-immodule: add lintian overrides for shlib-defines-rpath,
    this is needed to get the package pass through auto-REJECT. Rationale:
    rpath is appropriate here, the packages use private shlibs.

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 26 Dec 2009 10:13:19 +0100

gcin (1.4.5-1) unstable; urgency=low

  * New Upstream Version
  * Wrokaround dh_gtkmodules bug.
  * Bump Standards-Versions to 3.8.1, no changes needed.

 -- Kanru Chen <koster@debian.org.tw>  Tue, 12 May 2009 11:35:18 +0800

gcin (1.4.5~pre2-1) unstable; urgency=low

  * [811fc3b] New Upstream version 1.4.5.pre2
  * [86b0996] Update patches.
              - fix_gdm_crash_498619.diff: Dropped, fixed up stream.  
              - fix_QT_detection.diff: Split into two patches.
              - fix_anthy_error_message.diff: Added.
  * [dfa7a85] Enable anthy.

 -- Kanru Chen <koster@debian.org.tw>  Tue, 03 Mar 2009 14:33:40 +0800

gcin (1.4.2-2) unstable; urgency=low

  * Upload to unstable
  * [ef36b0e] New maintainer (Closes: #505501)
  * [4861a1e] Replace dh_clean -k with dh_prep.
  * [5b60cca] Add Vcs-Git and Vcs-Browser field.
  * [5dafdd8] Add README.source
  * [63892e6] Add patch ld_only_link_needed.diff
  * [a848d1e] Fix the bug causing gdm crashes. (Closes: #498619)
  * [326815b] Update patch descriptions.

 -- Kanru Chen <koster@debian.org.tw>  Sat, 06 Dec 2008 14:58:33 +0800

gcin (1.4.2-1) experimental; urgency=low

  * New upstream release
  * New package gcin-dev
  * Make gcin-qt3-immodule a versionised dependency on gcin
  * Drop fix_desktop_file_categories.diff because upstream has merged it
  * Bump Standards-Versions to 3.8.0

 -- Wen-Yen Chuang <caleb@calno.com>  Thu,  1 Aug 2008 18:45:44 +0800

gcin (1.4.0-1) unstable; urgency=low

  * New upstream release
    This release fixes FTBFS on ia64 architecture. (Closes: #480520)
  * Update copyright information
  * Migrate from dpatch to quilt
    Drop 20_fix-manpages.dpatch and 40_fix_FTBFS_on_sparc_hppa_ia64.dpatch
    because upstream has merged them.
  * Install AUTHORS file to /usr/share/doc/gcin

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 20 May 2008 14:57:12 +0800

gcin (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Update symlinks for new manpages
  * Enable i18n
  * Refresh 10_fix-directory-structure.dpatch
  * Add 20_fix-manpages.dpatch to prevent lintian warnings
  * Include /usr/share/dpatch/dpatch.make to make debian/rules simpler
  * Add Depends ${misc:Depends} for gcin-qt3-immodule

 -- Wen-Yen Chuang <caleb@calno.com>  Wed,  7 May 2008 21:39:20 +0800

gcin (1.3.4-3) unstable; urgency=low

  * Fix FTBFS on hppa, ia64, and sparc architectures (Closes: #406036)
  * Disable binary stripping in upstream's Makefile (Closes: #436914)
  * Auto-detect GTK+ module ABI version (Closes: #419366, #420504)
  * Update debian/copyright to machine-readable format
  * Make libgcin-im-client.so a private library
  * Bump Standards-Version to 3.7.3
  * Fix typos in package description
  * Clean up debian/rules
  * Make lintian quiet
    - set Build-Depends libgtk2.0-dev >= 2.10.1
    - move Homepage in package description to source stanza
    - replace all "GTK" with "GTK+" in package descriptions
    - replace all "##DP" with "## DP:" in debian/patches/*
    - update debian/gcin.menu
    - add 50_fix-desktop-file-categories.dpatch to match latest .desktop file
      policy
    - do not use -$(MAKE) in debian/rules so that other error messages from the
      clean rule will still be caught

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 27 Apr 2008 15:32:36 +0800

gcin (1.3.4-2) unstable; urgency=low

  The "Nobuta power! Cyuunyuu!" Release.

  * Update for GTK+ 2.10. (Closes: #419293)
  * debian/control:
    - bump up the libgtk2.0-dev build-dep to >= 2.10.1-1.
    - remove dependency for libgtk2.0-bin
  * debian/gcin.postinst:
    debian/gcin.postrm:
    - remove update-gtk-immodules
  * debian/rules:
    - call dh_gtkmodules with LD_LIBRARY_PATH.
    - remove scripts for GTK+ version detection.

 -- Wen-Yen Chuang <caleb@calno.com>  Sun, 15 Apr 2007 00:42:03 +0800

gcin (1.3.4-1) unstable; urgency=low

  The "Maki Horikita" Release.

  * New upstream release.
  * debian/patches:
    - modify 10_fix-directory-structure.dpatch to cope with upstream's
      changes.
    - modify 30_disable_rpath_for_gtk-im.dpatch to prevent fuzz during patching.

 -- Wen-Yen Chuang <caleb@calno.com>  Tue, 10 Apr 2007 21:42:40 +0800

gcin (1.3.3-2) unstable; urgency=low

  * Move from experimental to unstable.
    This version(1.3.3) has fixed FTBFS on GNU/kFreeBSD. (Closes: #414406)

 -- Wen-Yen Chuang <caleb@calno.com>  Mon,  9 Apr 2007 01:44:27 +0800


