=== debian/rules ===
#!/usr/bin/make -f

GTKVER = $(shell pkg-config --variable=gtk_binary_version gtk+-2.0)

%:
	dh $@

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"  \
	--use_i18n=Y \
	--use_qt3=Y

override_dh_auto_clean:
	make clean

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p debian/gcin/usr/lib/gtk-2.0/$(GTKVER)/immodules
	mv debian/tmp/usr/lib/gtk-2.0/immodules/* debian/gcin/usr/lib/gtk-2.0/$(GTKVER)/immodules/
	mkdir -p debian/gcin/usr/lib/gtk-2.0/$(GTKVER)/immodule-files.d
	sed -e s,@GTKVER@,$(GTKVER), debian/gcin.immodules.in > debian/gcin/usr/lib/gtk-2.0/$(GTKVER)/immodule-files.d/gcin.immodules

override_dh_installchangelogs:
	dh_installchangelogs Changelog.html

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_shlibdeps:
	LD_LIBRARY_PATH=debian/gcin/usr/lib/gcin:$(LD_LIBRARY_PATH) dh_shlibdeps
