=== debian/watch ===
version=3
http://cle.linux.org.tw/gcin/download/gcin-(.*)\.tar\.bz2
