=== debian/changelog ===
gcin (1.5.8-1) unstable; urgency=low

  * New upstream release.
  * Stop build Qt3 immodule. (Closes: #604350)
  * debian/gcin-ext.1: merged upstream.
  * debian/patches/008_add_shebang_to_scripts.diff: merged.
  * debian/patches/009_add_tsin2gtab_phrase_manpage.diff: merged.

 -- Kan-Ru Chen <koster@debian.org>  Mon, 28 Feb 2011 15:35:50 +0800

gcin (1.5.7~pre13-1) experimental; urgency=low

  * New snapshot.
  * Update debian/watch to match debian version scheme.

 -- Kan-Ru Chen <koster@debian.org>  Tue, 30 Nov 2010 10:44:06 +0800

gcin (1.5.7~pre12-1) experimental; urgency=low

  * New snapshot.
  * Refresh patches.
  * debian/patches/008_add_shebang_to_scripts.diff,
    debian/patches/009_add_tsin2gtab_phrase_manpage.diff: New.
  * debian/gcin-exit.1: New.
  * Updated Standards-Version to 3.9.1, no changes needed.
  
 -- Kan-Ru Chen <koster@debian.org>  Mon, 29 Nov 2010 22:06:56 +0800
