=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Homepage: http://www.csie.nctu.edu.tw/~cp76/gcin/
 Vcs-Git: git://git.debian.org/git/users/koster/gcin.git
 Vcs-Browser: http://git.debian.org/?p=users/koster/gcin.git;a=summary
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.20.0), libxtst-dev, libqt3-mt-dev, libqt4-dev, libanthy-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev (>= 2.20.0), libxtst-dev, libqt4-dev, libanthy-dev
+Standards-Version: 3.9.1
 
 Package: gcin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: gcin-qt3-immodule, im-switch, anthy
+Recommends: im-switch | im-config, gcin-qt4-immodule, anthy
 Description: an GTK+ based input method platform for Chinese users
  Gcin is an input method platform, which supports GTK+/QT immodule and XIM.
  Gcin is focused mainly on Traditional Chinese. However, it is also very useful
@@ -34,16 +34,6 @@
  .
  This package provides header files of gcin.
 
-Package: gcin-qt3-immodule
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gcin (>= ${source:Version})
-Description: an QT3 input method module with gcin as backend
- Gcin is an input method platform, which supports GTK+/QT immodule and XIM.
- Gcin is focused mainly on Traditional Chinese. However, it is also very useful
- for Simplified Chinese, Japanese, and many other languages.
- .
- This package is the QT 3.x native input method module for gcin.
-
 Package: gcin-qt4-immodule
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gcin (>= ${source:Version})
