=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 override_dh_auto_configure:
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"  \
-	--use_i18n=Y \
-	--use_qt3=Y
+	--use_i18n=Y
 
 override_dh_auto_clean:
 	make clean
